## net.sf.saxon.type
Class AnyItemType

    java.lang.Object
      |
      +--net.sf.saxon.type.AnyItemType

All Implemented Interfaces:
  ItemType, java.io.Serializable

public class AnyItemType
extends java.lang.Object
implements ItemType, java.io.Serializable

An implementation of ItemType that matches any item (node or atomic value)

See Also:
  Serialized Form

Method Summary
`AtomicType` `getAtomizedItemType()` Get the item type of the atomic values that will be produced when an item of this type is atomized
`static AnyItemType` `getInstance()` Factory method to get the singleton instance
`ItemType` `getPrimitiveItemType()` Get the primitive item type corresponding to this item type.
`int` `getPrimitiveType()` Get the primitive type corresponding to this item type.
`ItemType` `getSuperType()` Get the type from which this item type is derived by restriction.
`int` `hashCode()` Returns a hash code value for the object.
`boolean` `matchesItem(Item item)` Test whether a given item conforms to this type
`java.lang.String` `toString()`
`java.lang.String` `toString(NamePool pool)` Produce a representation of this type name for use in error messages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static AnyItemType getInstance()

  Factory method to get the singleton instance

### matchesItem

    public boolean matchesItem(Item item)

  Test whether a given item conforms to this type

  Specified by:
    `matchesItem` in interface `ItemType`
  Parameters:
    `item` - The item to be tested
  Returns:
    true if the item is an instance of this type; false otherwise

### getSuperType

    public ItemType getSuperType()

  Description copied from interface: `ItemType`
  Get the type from which this item type is derived by restriction. This is the supertype in the XPath type heirarchy, as distinct from the Schema base type: this means that the supertype of xs:boolean is xdt:anyAtomicType, whose supertype is item() (rather than xs:anySimpleType).

  Specified by:
    `getSuperType` in interface `ItemType`
  Returns:
    the supertype, or null if this type is item()

### getPrimitiveItemType

    public ItemType getPrimitiveItemType()

  Get the primitive item type corresponding to this item type. For item(), this is Type.ITEM. For node(), it is Type.NODE. For specific node kinds, it is the value representing the node kind, for example Type.ELEMENT. For anyAtomicValue it is Type.ATOMIC_VALUE. For numeric it is Type.NUMBER. For other atomic types it is the primitive type as defined in XML Schema, except that INTEGER is considered to be a primitive type.

  Specified by:
    `getPrimitiveItemType` in interface `ItemType`

### getPrimitiveType

    public int getPrimitiveType()

  Description copied from interface: `ItemType`
  Get the primitive type corresponding to this item type. For item(), this is Type.ITEM. For node(), it is Type.NODE. For specific node kinds, it is the value representing the node kind, for example Type.ELEMENT. For anyAtomicValue it is Type.ATOMIC_VALUE. For numeric it is Type.NUMBER. For other atomic types it is the primitive type as defined in XML Schema, except that INTEGER is considered to be a primitive type.

  Specified by:
    `getPrimitiveType` in interface `ItemType`

### getAtomizedItemType

    public AtomicType getAtomizedItemType()

  Description copied from interface: `ItemType`
  Get the item type of the atomic values that will be produced when an item of this type is atomized

  Specified by:
    `getAtomizedItemType` in interface `ItemType`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(NamePool pool)

  Description copied from interface: `ItemType`
  Produce a representation of this type name for use in error messages. Where this is a QName, it will use conventional prefixes

  Specified by:
    `toString` in interface `ItemType`

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`